Package fr.gouv.vitam.functional.administration.common.utils

# Class ArchiveUnitUpdateUtils

java.lang.Object
fr.gouv.vitam.functional.administration.common.utils.ArchiveUnitUpdateUtils

public class ArchiveUnitUpdateUtils extends Object
ArchiveUnitUpdateUtils in order to deal with common update operations for units

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `UNLIMITED_RULE_DURATION`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArchiveUnitUpdateUtils()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static com.fasterxml.jackson.databind.JsonNode`
  `computeEndDate(com.fasterxml.jackson.databind.node.ObjectNode updatingRule, com.fasterxml.jackson.databind.JsonNode ruleModel)`
  `static String`
  `getDiffMessageFor(com.fasterxml.jackson.databind.JsonNode diff, String unitId)`
  Common method to get the diff message
  `static boolean`
  `updateCategoryRules(com.fasterxml.jackson.databind.JsonNode rulesForCategory, List<com.fasterxml.jackson.databind.JsonNode> listRulesByType, UpdateMultiQuery query, String key)`
  Method used to get update query for an archive unit

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNLIMITED_RULE_DURATION

    public static final String UNLIMITED_RULE_DURATION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ArchiveUnitUpdateUtils

    public ArchiveUnitUpdateUtils()

- ## Method Details

  - ### updateCategoryRules

    public static boolean updateCategoryRules(com.fasterxml.jackson.databind.JsonNode rulesForCategory, List<com.fasterxml.jackson.databind.JsonNode> listRulesByType, UpdateMultiQuery query, String key) throws InvalidCreateOperationException
    Method used to get update query for an archive unit
    Parameters:
      `rulesForCategory` -
      `listRulesByType` -
      `query` -
      `key` -
    Returns:
    Throws:
      `InvalidCreateOperationException`

  - ### computeEndDate

    @Nonnull public static com.fasterxml.jackson.databind.JsonNode computeEndDate(@Nonnull com.fasterxml.jackson.databind.node.ObjectNode updatingRule, com.fasterxml.jackson.databind.JsonNode ruleModel)

  - ### getDiffMessageFor

    public static String getDiffMessageFor(com.fasterxml.jackson.databind.JsonNode diff, String unitId) throws InvalidParseOperationException
    Common method to get the diff message
    Parameters:
      `diff` -
      `unitId` -
    Returns:
    Throws:
      `InvalidParseOperationException`